# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [2.2.1](https://github.com/dromru/react-photoswipe-gallery/compare/v2.2.0...v2.2.1) (2022-05-14)


### Bug Fixes

* **custom-content:** reset portal if slideData has no content, and on `close` ([#837](https://github.com/dromru/react-photoswipe-gallery/issues/837)) ([031dfcf](https://github.com/dromru/react-photoswipe-gallery/commit/031dfcfdb97c12f2bb955aa325465e00b8788f06))
* **storybook:** adjust color scheme ([68ab0ac](https://github.com/dromru/react-photoswipe-gallery/commit/68ab0ac37d57e6b78bf6c40e16ef6494a8267e5b))


### Chore

* **deps:** update dependency core-js to v3.22.5 ([ac3c545](https://github.com/dromru/react-photoswipe-gallery/commit/ac3c54503a2b8ae3a489e6c09e0cf7c680174e2c))
* **deps:** update dependency webpack to v5.72.1 ([557200b](https://github.com/dromru/react-photoswipe-gallery/commit/557200bf7cc70c073cb787c44c49c8312e0e7e65))
* **deps:** update eslint ([830c5f3](https://github.com/dromru/react-photoswipe-gallery/commit/830c5f3f1297938a25f8656b8436d9410eb8febf))

## [2.2.0](https://github.com/dromru/react-photoswipe-gallery/compare/v2.1.0...v2.2.0) (2022-05-10)


### Features

* **types:** use vendor photoswipe types ([6faed81](https://github.com/dromru/react-photoswipe-gallery/commit/6faed81d746d68549a6027d6bf61e24ad3f9f2d8))


### Bug Fixes

* **prop-types:** add missing prop ([6af1e8c](https://github.com/dromru/react-photoswipe-gallery/commit/6af1e8c0f2e1cc1f5d228698174a0552fa587697))


### Chore

* **deps:** add jest-environment-jsdom ([6d13603](https://github.com/dromru/react-photoswipe-gallery/commit/6d13603ae6c3f9c5e974962cce941ecaba56da1b))
* **deps:** update babel monorepo to v7.17.10 ([a23edf1](https://github.com/dromru/react-photoswipe-gallery/commit/a23edf15bd6f349091616e7496d0e0124fdd2d7c))
* **deps:** update commitlint monorepo to v16.2.4 ([18ad41d](https://github.com/dromru/react-photoswipe-gallery/commit/18ad41d4bf563ffe4c2916868dbca841a50f75e5))
* **deps:** update dependency @testing-library/react to v13.2.0 ([ecb6855](https://github.com/dromru/react-photoswipe-gallery/commit/ecb6855d78ffcda6668566f0381519a364f7840b))
* **deps:** update dependency @types/jest to v27.5.0 ([c42be1a](https://github.com/dromru/react-photoswipe-gallery/commit/c42be1afb12a63a3dc0c28f32856f8de0a2acd18))
* **deps:** update dependency @types/react to v18.0.9 ([2e4c4dc](https://github.com/dromru/react-photoswipe-gallery/commit/2e4c4dcb901c98233f99838912914004d249e236))
* **deps:** update dependency @types/react-dom to v18.0.3 ([6262bc6](https://github.com/dromru/react-photoswipe-gallery/commit/6262bc64f846370ccf026bbd63931e4c0db6925e))
* **deps:** update dependency core-js to v3.22.4 ([4613aaa](https://github.com/dromru/react-photoswipe-gallery/commit/4613aaa4e3e827a866bb105dd0cc821dde60159d))
* **deps:** update dependency lint-staged to v12.4.1 ([09664f6](https://github.com/dromru/react-photoswipe-gallery/commit/09664f6de2d7fd75f5569a92f3cb94d8f769d789))
* **deps:** update dependency storybook-dark-mode to v1.1.0 ([93ecb89](https://github.com/dromru/react-photoswipe-gallery/commit/93ecb895eb7d18b61a62945e484e1700d7ee0b42))
* **deps:** update dependency ts-loader to v9.3.0 ([2e7e78f](https://github.com/dromru/react-photoswipe-gallery/commit/2e7e78f1ff7162f3965b6818307f3db8c1b2616c))
* **deps:** update dependency typescript to v4.6.4 ([c29f6af](https://github.com/dromru/react-photoswipe-gallery/commit/c29f6afb72c2c6a14bb5b45d96a1fc340a5a21c2))
* **deps:** update eslint to v5.22.0 ([5fd913a](https://github.com/dromru/react-photoswipe-gallery/commit/5fd913ac26ea07f196544f92a37dbff87d31f870))
* **deps:** update jest monorepo ([577cf41](https://github.com/dromru/react-photoswipe-gallery/commit/577cf410f416cf54c4cbbab8e0ead56f6ec797b6))
* **deps:** update react monorepo to v18.1.0 ([c9e7d15](https://github.com/dromru/react-photoswipe-gallery/commit/c9e7d1523b38e3ef0bfbcaa605af1a0bd9e72a27))
* **deps:** update storybook monorepo to v6.5.0-beta.8 ([a80d53a](https://github.com/dromru/react-photoswipe-gallery/commit/a80d53a1bab4083f18f525aa08867cdb30c02579))

## [2.1.0](https://github.com/dromru/react-photoswipe-gallery/compare/v2.0.4...v2.1.0) (2022-04-26)


### Features

* add `content` prop for the `Item` component ([docs](https://github.com/dromru/react-photoswipe-gallery#custom-slide-content))
* add `uiElements` prop for the `Gallery` component ([docs](https://github.com/dromru/react-photoswipe-gallery#custom-ui-elements))


### Chore

* **deps:** update actions/checkout action to v3.0.2 ([a1abbab](https://github.com/dromru/react-photoswipe-gallery/commit/a1abbab111469011fe54fea45e06c6a3da121a33))
* **deps:** update codecov/codecov-action action to v3.1.0 ([3177885](https://github.com/dromru/react-photoswipe-gallery/commit/3177885481b6e75261622d2edb68f20bce58cf71))
* **deps:** update dependency @testing-library/react to v13.1.1 ([545223f](https://github.com/dromru/react-photoswipe-gallery/commit/545223f466897efcad0147519b6ce4edbc8bdbd4))
* **deps:** update dependency @testing-library/user-event to v14.1.1 ([4c44d05](https://github.com/dromru/react-photoswipe-gallery/commit/4c44d05b0dde744d89b45f76d9c5b44d1ad4aac3))
* **deps:** update dependency @types/prop-types to v15.7.5 ([cefe846](https://github.com/dromru/react-photoswipe-gallery/commit/cefe846328974a11f9b23973e10adc360845d25d))
* **deps:** update dependency @types/react to v18.0.6 ([5344518](https://github.com/dromru/react-photoswipe-gallery/commit/53445185cf7c0593f7b542416ebf73e7e9fc77f3))
* **deps:** update dependency @types/react-dom to v18.0.2 ([84fe5d9](https://github.com/dromru/react-photoswipe-gallery/commit/84fe5d91637b77dfc58b25be43816d3529074d3f))
* **deps:** update dependency babel-loader to v8.2.5 ([7fda1c4](https://github.com/dromru/react-photoswipe-gallery/commit/7fda1c409ea28b6d720a2f2f4f84a00aa365aaef))
* **deps:** update dependency core-js to v3.22.2 ([37ee404](https://github.com/dromru/react-photoswipe-gallery/commit/37ee4045dde426f7c2afab2a432ab2059b18c146))
* **deps:** update dependency lint-staged to v12.4.0 ([5fef38e](https://github.com/dromru/react-photoswipe-gallery/commit/5fef38eadf7b1d2e8bca754924439732d3ef31e5))
* **deps:** update eslint to v5.20.0 ([51d918c](https://github.com/dromru/react-photoswipe-gallery/commit/51d918cfee6f5e53d4b9cd6a4d642a6cd5aff9db))
* **deps:** update storybook monorepo to v6.5.0-beta.0 ([56b1a73](https://github.com/dromru/react-photoswipe-gallery/commit/56b1a73233b9af38b5738c08bb1f2d2553823b27))
* **deps:** update yarn plugins; remove unused yarn binary ([c50fde0](https://github.com/dromru/react-photoswipe-gallery/commit/c50fde0dc475f468588e2290feff7cd90cbb8413))
* **yarn:** remove redundant packageExtensions ([818b0a3](https://github.com/dromru/react-photoswipe-gallery/commit/818b0a32d6dab37aef8cb0ce56c5e9571255003e))

## [2.0.4](https://github.com/dromru/react-photoswipe-gallery/compare/v2.0.3...v2.0.4) (2022-04-16)


### Bug Fixes

* **esm:** patch import statements in tsc output ([067a032](https://github.com/dromru/react-photoswipe-gallery/commit/067a032c0c9f1971244e2daad5aa10a9adf95701))

## [2.0.3](https://github.com/dromru/react-photoswipe-gallery/compare/v2.0.2...v2.0.3) (2022-04-16)


### Bug Fixes

* **package:** set `type: 'module'` ([7f74c25](https://github.com/dromru/react-photoswipe-gallery/commit/7f74c25b2ab64d01377515c836edfa9a994445a7))


### Chore

* **ci:** set node version to v16 for workflows ([b50be06](https://github.com/dromru/react-photoswipe-gallery/commit/b50be066dfe79f0913532178c33c3ded1abff7c3))

## [2.0.2](https://github.com/dromru/react-photoswipe-gallery/compare/v2.0.1...v2.0.2) (2022-04-16)


### Bug Fixes

* **build:** set TSC target to `ES6` to match PhotoSwipe v5 ([30909b7](https://github.com/dromru/react-photoswipe-gallery/commit/30909b798da3e9bc24ae8f37a141071dabc6a8b1))

## [2.0.1](https://github.com/dromru/react-photoswipe-gallery/compare/v2.0.0...v2.0.1) (2022-04-15)


### Bug Fixes

* **package:** exclude `src/storybook` from build ([0a3068e](https://github.com/dromru/react-photoswipe-gallery/commit/0a3068eec9e9f9082fac0c31e587c61ca6267cc8))

## [2.0.0](https://github.com/dromru/react-photoswipe-gallery/compare/v1.3.10...v2.0.0) (2022-04-15)


### ⚠ BREAKING CHANGES

* drop PhotoSwipe v4 support (#592)
* remove prop `title` (Item component) (#592)
* remove BaseGallery, CustomGallery, DefaultLayout (#592)


### Features

* add PhotoSwipe v5 support (#592)
* add new props for Item component: `originalSrcset`, `alt`, `caption`, `cropped` (#592)
* add new props for Gallery component: `onBeforeOpen`, `withCaption`, `withDownloadButton`, `plugins` (#592)
* add PhotoSwipe plugins support (#592)
* implement hash navigation (there is no built-in hash navigation in photoswipe v5) (#592)


### Bug Fixes

* **types:** declare gallery's `children` explicitly; add type for ref; add event type ([cc940bb](https://github.com/dromru/react-photoswipe-gallery/commit/cc940bbb1a2db966799508d4992722ef80e5a2e3))


### Chore

* **deps:** update actions/setup-node action to v3.1.1 ([6f94a1e](https://github.com/dromru/react-photoswipe-gallery/commit/6f94a1eb540c417c866f1c5f0f287790b3054843))
* **deps:** update codecov/codecov-action action to v3 ([f2e8643](https://github.com/dromru/react-photoswipe-gallery/commit/f2e86432d2791372cf6dc02b4d9af3e8b1e5dc84))
* **deps:** update dependency @babel/core to v7.17.9 ([b85b4ec](https://github.com/dromru/react-photoswipe-gallery/commit/b85b4ece95b8f788fd49680b8cd486ca6b0b1237))
* **deps:** update dependency @testing-library/react to v13.0.1 ([d47c841](https://github.com/dromru/react-photoswipe-gallery/commit/d47c841e737304225e8e22ea653d36fd840fadf2))
* **deps:** update dependency @testing-library/user-event to v14.1.0 ([5107343](https://github.com/dromru/react-photoswipe-gallery/commit/510734348384b6caf10c41992832b6390dfd70e2))
* **deps:** update dependency @types/enzyme to v3.10.12 ([c3dc334](https://github.com/dromru/react-photoswipe-gallery/commit/c3dc33488383ce0771bf5d4eea86b23686b74121))
* **deps:** update dependency @types/prop-types to v15.7.5 ([3f50348](https://github.com/dromru/react-photoswipe-gallery/commit/3f503485957e4042a11b738c67432e20741cd395))
* **deps:** update dependency @types/react to v18 ([85dce33](https://github.com/dromru/react-photoswipe-gallery/commit/85dce3355c56a1039b919ed1cc26d5a49937dc7b))
* **deps:** update dependency @types/react-dom to v17.0.15 ([bafbbd7](https://github.com/dromru/react-photoswipe-gallery/commit/bafbbd7ca13c2a1e63725df73e30071392282028))
* **deps:** update dependency photoswipe to v5.2.4 ([2127f09](https://github.com/dromru/react-photoswipe-gallery/commit/2127f09ed300a1c1b1cc24ed1cbfef57e06c74a7))
* **deps:** update dependency prettier to v2.6.2 ([0a6183d](https://github.com/dromru/react-photoswipe-gallery/commit/0a6183daffe4929945c74c20827fd2a9cd8ad37e))
* **deps:** update dependency webpack to v5.72.0 ([588d5fc](https://github.com/dromru/react-photoswipe-gallery/commit/588d5fcf1aa0dffb8b5478f97fddf086e1c679e5))
* **deps:** update eslint ([bba0ec6](https://github.com/dromru/react-photoswipe-gallery/commit/bba0ec6ae74e5887d736f728fa913569592dfb65))
* **deps:** update storybook monorepo to v6.4.21 ([969cf34](https://github.com/dromru/react-photoswipe-gallery/commit/969cf34966f2389b70553b92890e6943e21e4fe1))

## [1.3.10](https://github.com/dromru/react-photoswipe-gallery/compare/v1.3.9...v1.3.10) (2022-04-01)


### Bug Fixes

* **package:** pack source files for sourcemaps support ([9fc3c9f](https://github.com/dromru/react-photoswipe-gallery/commit/9fc3c9f9993fa093faf12048b1b840de236b0337)), closes [#758](https://github.com/dromru/react-photoswipe-gallery/issues/758)

## [1.3.9](https://github.com/dromru/react-photoswipe-gallery/compare/v1.3.8...v1.3.9) (2022-04-01)


### Bug Fixes

* **package:** fix range for the `photoswipe` peer dependency ([2f2de65](https://github.com/dromru/react-photoswipe-gallery/commit/2f2de65ef5ff61d8864007500d44ce680caf8be5))
* **changelog:** fix changelog format ([4911eae](https://github.com/dromru/react-photoswipe-gallery/commit/4911eae332ac30724d996cfdc08478aebe3434d2))


### Chore

* **deps:** update commitlint monorepo to v16.2.3 ([be73af4](https://github.com/dromru/react-photoswipe-gallery/commit/be73af406f75aa949601404e2251e57b5c76f3fa))
* **deps:** update dependency @babel/core to v7.17.8 ([f9f683f](https://github.com/dromru/react-photoswipe-gallery/commit/f9f683f2a0e7c8a1d2f4924841d5ab78c2f2b6bd))
* **deps:** update dependency @types/react to v17.0.43 ([3248673](https://github.com/dromru/react-photoswipe-gallery/commit/3248673b3d15b2d74e6411048d7f5d0beaf9559f))
* **deps:** update dependency @wojtekmaj/enzyme-adapter-react-17 to v0.6.7 ([fdaef34](https://github.com/dromru/react-photoswipe-gallery/commit/fdaef34fffdad7559f546fdf894e8dc932d2c104))
* **deps:** update dependency babel-loader to v8.2.4 ([17416df](https://github.com/dromru/react-photoswipe-gallery/commit/17416df918e2bbb574f1ddfd7b514384f03ea85b))
* **deps:** update dependency lint-staged to v12.3.7 ([ab7f146](https://github.com/dromru/react-photoswipe-gallery/commit/ab7f1466fb89c23bca8ea6746a09a07dd6920668))
* **deps:** update dependency prettier to v2.6.1 ([e872b6d](https://github.com/dromru/react-photoswipe-gallery/commit/e872b6dfa2fc132ca53cc1373e07a1684650b233))
* **deps:** update dependency ts-jest to v27.1.4 ([1963b63](https://github.com/dromru/react-photoswipe-gallery/commit/1963b63481593791a9b18645e1d60eb24e04eec8))
* **deps:** update dependency ts-loader to v9.2.8 ([841fac6](https://github.com/dromru/react-photoswipe-gallery/commit/841fac63d87854d0375d4aa1469a749be75d1487))
* **deps:** update dependency typescript to v4.6.3 ([8aad600](https://github.com/dromru/react-photoswipe-gallery/commit/8aad600ab03e2243b1931c5c4c740c581c806b46))
* **deps:** update eslint ([6d74fa7](https://github.com/dromru/react-photoswipe-gallery/commit/6d74fa7dc71d7b17de3d1a8ce69b4cb33889b5bd))

## [1.3.8](https://github.com/dromru/react-photoswipe-gallery/compare/v1.3.7...v1.3.8) (2022-03-07)


### Bug Fixes

* **package:** change `repository` field format ([e1efbbf](https://github.com/dromru/react-photoswipe-gallery/commit/e1efbbf81a98668b609b3e0c6c2fd9636d0e3b1b))

## [1.3.7](https://github.com/dromru/react-photoswipe-gallery/compare/v1.3.6...v1.3.7) (2022-03-06)


### Bug Fixes

* **perf:** wrap context value with useMemo ([25b6504](https://github.com/dromru/react-photoswipe-gallery/commit/25b6504b932e4c1f58ad700e3aadd93bc874509e))
* weird bold emojis in chrome ([440beaf](https://github.com/dromru/react-photoswipe-gallery/commit/440beaf2acc3ceb3a21443dcb282056fbca08a96))


### Chore

* **deps:** update a bunch of dependencies
* **husky:** migrate husky configuration ([0be4a3f](https://github.com/dromru/react-photoswipe-gallery/commit/0be4a3fd172a6bdddbff1044750aff13003f3425))
* **ci:** env vars for publish script ([8dbce8b](https://github.com/dromru/react-photoswipe-gallery/commit/8dbce8b79ff0e73e6f198310cac737a4f9fcc5ea))
* **deps:** update lockfile ([e612bf0](https://github.com/dromru/react-photoswipe-gallery/commit/e612bf06912edf8b1d55034ac86253b0678e9286))
* **test:** update ts-jest, add env docblock ([ad120c1](https://github.com/dromru/react-photoswipe-gallery/commit/ad120c188ea21c2a7e8f30b185cc4bd58ce8d9d6))
* **ci:** add gh deployment ([31b7b76](https://github.com/dromru/react-photoswipe-gallery/commit/31b7b76bb55d33c3a82a361c9077df276c293a45))
* **ci:** use destination_dir on deploy ([34b127b](https://github.com/dromru/react-photoswipe-gallery/commit/34b127b5aca1ce651537998abd9de8cb2fb3c2d9))
* **cs:** fix prettier issues ([dc9f4e4](https://github.com/dromru/react-photoswipe-gallery/commit/dc9f4e45769123aa37133eed0901d4668e8b8e8d))
* **deps:** enable automerge for dev deps and non-major ([422087f](https://github.com/dromru/react-photoswipe-gallery/commit/422087f5fc5e965ae181c8299b28ce218f4daf3e))
* **deps:** remove unneeded packageExtensions ([e22f74d](https://github.com/dromru/react-photoswipe-gallery/commit/e22f74d90d07fcb24c5b2b3d25c2c75ae44547a6))
* **lint-config:** disable react/function-component-definition rule ([c14e15e](https://github.com/dromru/react-photoswipe-gallery/commit/c14e15ec4981db4c4cadcb9b3f73637363905d86))
* **yarn:** set defaultSemverRangePrefix to respect dependencies pinning ([821dfd9](https://github.com/dromru/react-photoswipe-gallery/commit/821dfd9ebcaa0b97ced26acc3694c36868271cc8))

## [1.3.6](https://github.com/dromru/react-photoswipe-gallery/compare/v1.3.5...v1.3.6) (2021-04-12)


### Bug Fixes

* **ci:** explicitly run pre/post publish scripts in ci ([4bf7f0b](https://github.com/dromru/react-photoswipe-gallery/commit/4bf7f0b3ff1ecb2f438b6836f5e6b974c424717f)), closes [#472](https://github.com/dromru/react-photoswipe-gallery/issues/472)


### Chore

* **deps:** update a bunch of dependencies

## [1.3.5](https://github.com/dromru/react-photoswipe-gallery/compare/v1.3.4...v1.3.5) (2021-04-10)


### Chore

* **deps:** bump dependencies, fix enzyme adapter ([e81c9e7](https://github.com/dromru/react-photoswipe-gallery/commit/e81c9e71e7de07c69cd26d43590d17e7ab8ce091))
* **deps:** pin dependencies ([a357aee](https://github.com/dromru/react-photoswipe-gallery/commit/a357aee0a01a1136cca67261dd2035d51b0756d0))
* **deps:** update a bunch of dependencies
* **deps:** update packageExtensions ([f037295](https://github.com/dromru/react-photoswipe-gallery/commit/f037295cf9600a0c1b3ca22c02906d1f7dc54fcd))
* Bump dependencies ([1e39524](https://github.com/dromru/react-photoswipe-gallery/commit/1e39524218f2aa4ec6f1e34b3bca7c00c96b926c))
* bump storybook; use builder: webpack5 ([f127302](https://github.com/dromru/react-photoswipe-gallery/commit/f1273023b9c58474ee9ffcf21da9bacf2d7e5f2a))
* update lockfile, gitignore ([4cd6b45](https://github.com/dromru/react-photoswipe-gallery/commit/4cd6b45c8a28072725859d19298a4575f2b52b16))

## [1.3.4](https://github.com/dromru/react-photoswipe-gallery/compare/v1.3.3...v1.3.4) (2020-12-25)

## [1.3.3](https://github.com/dromru/react-photoswipe-gallery/compare/v1.3.2...v1.3.3) (2020-12-24)


### Chore

* migrate to yarn berry ([b9224ba](https://github.com/dromru/react-photoswipe-gallery/commit/b9224ba480aef009e48669d0ae733b56a30a776b))

## [1.3.2](https://github.com/dromru/react-photoswipe-gallery/compare/v1.3.1...v1.3.2) (2020-12-24)


### Bug Fixes

* hash navigation if items added in different render ([84cebdc](https://github.com/dromru/react-photoswipe-gallery/commit/84cebdc4da4527c716ce618c48265a850a25d69d))
* **test:** define photoswipeArgsMock return type ([b0cc02b](https://github.com/dromru/react-photoswipe-gallery/commit/b0cc02bab678ac1bebaebc23dbe8c0c1e1ee2e38))


### Chore

* **ci:** upgrade actions/setup-node ([3b36743](https://github.com/dromru/react-photoswipe-gallery/commit/3b36743b3321fb28f919d82f9b4ddf5a6077e975))
* **ci:** upgrade codecov/codecov-action ([f03d274](https://github.com/dromru/react-photoswipe-gallery/commit/f03d2741b18ec9d735fe28cd38fa7dc16b1366a7))
* **deps:** update a bunch of dependencies

## [1.3.1](https://github.com/dromru/react-photoswipe-gallery/compare/v1.3.0...v1.3.1) (2020-10-06)


### Bug Fixes

* add some missing hooks dependencies ([839c5e5](https://github.com/dromru/react-photoswipe-gallery/commit/839c5e57d68538749bdd0ff3c99c3cb4a686831d))


### Chore

* **deps:** update a bunch of dependencies

## [1.3.0](https://github.com/dromru/react-photoswipe-gallery/compare/v1.2.0...v1.3.0) (2020-07-21)


### Features

* **core:** added useGallery hook ([f82f77a](https://github.com/dromru/react-photoswipe-gallery/commit/f82f77a29e80796972176b374f9e44932056cdb0)), closes [#22](https://github.com/dromru/react-photoswipe-gallery/issues/22)


### Chore

* configure types for standard-version ([c607941](https://github.com/dromru/react-photoswipe-gallery/commit/c607941a2d69f4126f6a170c0436f2a101a9ae31))
* migrate from conventional-changelog-cli to standard-version ([7b90786](https://github.com/dromru/react-photoswipe-gallery/commit/7b907869518f3d352d12f51eb8c76d0cc227156b))
* **deps:** update a bunch of dependencies
* upgrade storybook ([da580de](https://github.com/dromru/react-photoswipe-gallery/commit/da580de580518d1cb9d76c5e193740ed7fbe59e8))

## 1.2.0 (2020-04-26)

* feat: expose photoswipe API ([c1542f3](https://github.com/dromru/react-photoswipe-gallery/commit/c1542f3)), closes [#20](https://github.com/dromru/react-photoswipe-gallery/issues/20)



## 1.1.0 (2020-04-25)

* chore: stop using angular preset for conventional-changelog ([dc51c55](https://github.com/dromru/react-photoswipe-gallery/commit/dc51c55))
* docs(readme): fix missing empty cell ([21206fd](https://github.com/dromru/react-photoswipe-gallery/commit/21206fd))
* improvement: implement hash navigation ([bde7d7e](https://github.com/dromru/react-photoswipe-gallery/commit/bde7d7e)), closes [#19](https://github.com/dromru/react-photoswipe-gallery/issues/19)



## [1.0.1](https://github.com/dromru/react-photoswipe-gallery/compare/v1.0.0...v1.0.1) (2020-04-25)


### Bug Fixes

* allow override all photoswipe options ([0a21905](https://github.com/dromru/react-photoswipe-gallery/commit/0a21905343c8a2f41614c90ba10b470a83bff5c7))
* remove check for current ref type in getThumbBoundsFn ([66165ef](https://github.com/dromru/react-photoswipe-gallery/commit/66165ef58dabbf1476452440ced8ef1bb8ba415f))



## 1.0.0 (2020-04-25)

* improvement: separate Gallery and CustomGallery ([edd4bed](https://github.com/dromru/react-photoswipe-gallery/commit/edd4bed)), closes [#16](https://github.com/dromru/react-photoswipe-gallery/issues/16)
* improvement: throw if no ref, allow single-item without ref ([6dd48e9](https://github.com/dromru/react-photoswipe-gallery/commit/6dd48e9)), closes [#13](https://github.com/dromru/react-photoswipe-gallery/issues/13) [#12](https://github.com/dromru/react-photoswipe-gallery/issues/12)
* improvement(stories): add story without images ([1025158](https://github.com/dromru/react-photoswipe-gallery/commit/1025158)), closes [#14](https://github.com/dromru/react-photoswipe-gallery/issues/14)
* improvement(storybook): add story with example from photoswipe.com ([3111463](https://github.com/dromru/react-photoswipe-gallery/commit/3111463))
* docs: add inline comments ([c0ff9e9](https://github.com/dromru/react-photoswipe-gallery/commit/c0ff9e9))
* docs(readme): add codecov badge ([40eb561](https://github.com/dromru/react-photoswipe-gallery/commit/40eb561))
* docs(readme): add npmjs badge ([04c12e2](https://github.com/dromru/react-photoswipe-gallery/commit/04c12e2))
* docs(readme): update readme ([3a9441a](https://github.com/dromru/react-photoswipe-gallery/commit/3a9441a)), closes [#8](https://github.com/dromru/react-photoswipe-gallery/issues/8)
* ci: deploy storybook to gh-pages ([036fa4e](https://github.com/dromru/react-photoswipe-gallery/commit/036fa4e))
* ci: publish based on new release ([462c9aa](https://github.com/dromru/react-photoswipe-gallery/commit/462c9aa))
* ci: run tests on push, upload coverage report to codecov ([cb6eb7c](https://github.com/dromru/react-photoswipe-gallery/commit/cb6eb7c))
* fix: change approach to determine the order of items ([5acf951](https://github.com/dromru/react-photoswipe-gallery/commit/5acf951))
* fix: remove unneeded git add from lint-staged config ([8914f38](https://github.com/dromru/react-photoswipe-gallery/commit/8914f38))
* fix(item-api): add missing html prop for Item from PhotoswipeItem ([59522c6](https://github.com/dromru/react-photoswipe-gallery/commit/59522c6)), closes [#17](https://github.com/dromru/react-photoswipe-gallery/issues/17)
* test: add test case with stateful item ([69a7ff6](https://github.com/dromru/react-photoswipe-gallery/commit/69a7ff6))
* test: configure Jest, write some test cases ([a989e7f](https://github.com/dromru/react-photoswipe-gallery/commit/a989e7f)), closes [#7](https://github.com/dromru/react-photoswipe-gallery/issues/7)
* refactor: slightly change API, disable strictNullChecks ([554ea30](https://github.com/dromru/react-photoswipe-gallery/commit/554ea30))
* chore: add commitlint, commitizen ([e2d4741](https://github.com/dromru/react-photoswipe-gallery/commit/e2d4741))
* chore: add conventional-changelog ([770e713](https://github.com/dromru/react-photoswipe-gallery/commit/770e713)), closes [#11](https://github.com/dromru/react-photoswipe-gallery/issues/11)
* chore: move readme ([ebc40f4](https://github.com/dromru/react-photoswipe-gallery/commit/ebc40f4))
* chore: move readme ([133a51e](https://github.com/dromru/react-photoswipe-gallery/commit/133a51e))
* chore: rewrite with TypeScript, remove babel ([52432b9](https://github.com/dromru/react-photoswipe-gallery/commit/52432b9))
* feat: add ability to reuse existing layout (closes #9) ([e20240d](https://github.com/dromru/react-photoswipe-gallery/commit/e20240d)), closes [#9](https://github.com/dromru/react-photoswipe-gallery/issues/9)
* feat(dx): add Storybook ([48590b7](https://github.com/dromru/react-photoswipe-gallery/commit/48590b7))
* initial implementation ([e756c21](https://github.com/dromru/react-photoswipe-gallery/commit/e756c21))
* root ([3bc6218](https://github.com/dromru/react-photoswipe-gallery/commit/3bc6218))
* Update package.json ([6f8e9d9](https://github.com/dromru/react-photoswipe-gallery/commit/6f8e9d9))
